<?xml version="1.0"?>
<!-- 
    Note: As an alternative to hand editing this file you can use the 
    web admin tool to configure settings for your application. Use
    the Website->Asp.Net Configuration option in Visual Studio.
    A full list of settings and comments can be found in 
    machine.config.comments usually located in 
    \Windows\Microsoft.Net\Framework\v2.x\Config 
-->
<configuration>
  <configSections>
    <sectionGroup name="businessObjects">
      <sectionGroup name="crystalReports">
        <section name="rptBuildProvider" type="CrystalDecisions.Shared.RptBuildProviderHandler,                               CrystalDecisions.Shared, Version=13.0.4000.0, Culture=neutral,                               PublicKeyToken=692fbea5521e1304, Custom=null"/>
        <!-- By Ibrahim Al-Ashqar-->
        <!--<section name="crystalReportViewer" type="System.Configuration.NameValueSectionHandler"/>-->
        <!--XXXXXXX-->
      </sectionGroup>
    </sectionGroup>
  </configSections>
 
  <appSettings>
  
    <!--SAIB_RECONSS-->
    <add key="DBConnection" value="RABhAHQAYQAgAFMAbwB1AHIAYwBlAD0AUgBlAGMAbwBuAEQAZQB2AEQAQgA7AFUAcwBlAHIAIABJAEQAPQBzAGEAaQBiAF8AYQBzAHIAOwBQAGEAcwBzAHcAbwByAGQAPQBzAGEAaQBiAF8AYQBzAHIAOwA="/>
    <add key="DBAConnection" value="RABhAHQAYQAgAFMAbwB1AHIAYwBlAD0AUgBlAGMAbwBuAEQAZQB2AEQAQgA7AFUAcwBlAHIAIABJAEQAPQBzAGEAaQBiAF8AYQBzAHIAOwBQAGEAcwBzAHcAbwByAGQAPQBzAGEAaQBiAF8AYQBzAHIAOwA="/>
    <add key="gridsize" value="10"/>
    <add key="gridsize_GlPage" value="2000"/>
    <add key="MWCertificate" value="D:\cert"/>
    <add key="CrystalImageCleaner-AutoStart" value="true"/>
    <add key="CrystalImageCleaner-Sleep" value="60000"/>
    <add key="CrystalImageCleaner-Age" value="120000"/>

    <add key="DBServer" value="QQBUAE0AUgBFAEMATwBOAA=="/>
    <add key="DBServerA" value="QQBUAE0AUgBFAEMATwBOAA=="/>
    <add key="DBUser" value="YQBzAHIA" />
    <add key="DBPass" value="YQBzAHIA" />
    <add key="DBUserA" value="UwBBAEkAQgBfAEEAUwBSAA=="/>
    <add key="DBPassA" value="UwBBAEkAQgBfADEAMgAzAA=="/>
    <add key="MD5EXEPATH" value="D:\\Published\\SAIB\\Recon\\MD5\\"/>   
    <add key ="MD5EXE" value ="D:\\Published\\Recon\\MD5\\md5gen.exe"/>
    <add key="Terminals_Dir" value="E:\\POS_FILES\\POS_TERMINAL\\"/>
    <add key="DOMAIN" value="saibnet2.saib.com"/>
    <!-- Starts Internal Fund Transfer-->
    <add key="TimeOut" value="120000"/>
    <add key="QMgrName" value="MQ.MIKE"/>
    <add key="SendQName" value="MQ.MIKE.TQ.CRS.EQN.1"/>
    <add key="RecieveQName" value="MQ.MIKE.LQ.CRS.EQN.2"/>
    <add key="Channel" value="BQ.MIKE.CRS.ICS.EQN"/>
    <add key="Host" value="MIKE"/>
    <add key="Port" value="1414"/>
    <add key="UserName" value="UwA1ADMAOQBSAEUAUwBZAA=="/>
    <add key="Password" value="UwA1ADMAOQBSAEUAUwBZAA=="/>
    <add key="MWLOG" value="D:\Log\"/>
   <!-- <add key="CSLoader" value="D:\EjadaCSGenParser\"/> -->
    <add key="CSLoader" value="D:\CS_File_Loader\" />
    <add key="CSLoader_Files" value="D:\To_Inject\CS_File_Loader" />
    <add key="ErrorLog" value="D:\Log\Recon\"/>
    
    <!-- End Internal Fund Transfer-->  
    <add key="SFTPHostKey" value="ssh-rsa 1024 02:3e:af:2f:b7:5a:09:5c:57:62:9d:60:7f:10:a3:50"/>
    <add key="SFTPPrivateKey" value="D:\\PPK\\atmftp_hpux115.ppk"/>
    <add key="SFTPFileName" value="C:\\Program Files\\WinSCP\\WinSCP.com"/>
    <add key="SFTPINIFileName" value="C:\\Program Files\\WinSCP\\WinSCP.ini"/>  
    <add key="SFTPLOG" value="C:\\SFTP_LOG\\"/>
    <add key="ProcessedDir" value="/NCB/Processed/"/>    
    <add key="SFTPServer" value="10.10.42.27"/>
    <add key="SFTPUserName" value="reconss"/>
    <add key="SFTPPwd" value="reconss"/>
    <add key ="RepeatCount" value ="3"/>
    <add key ="Sleep" value ="5000"/>
  </appSettings>
  <system.web>
    <httpCookies requireSSL="true" />
    
    <httpRuntime enableVersionHeader="false" />
    <customErrors mode="RemoteOnly" defaultRedirect="/Recon/ErrorPages/ErrorPage.aspx"/>
    <sessionState mode="InProc" cookieless="false" timeout="15"/>
    <!--<httpRuntime executionTimeout="2400"/>-->
    <!-- 
            Set compilation debug="true" to insert debugging 
            symbols into the compiled page. Because this 
            affects performance, set this value to true only 
            during development.
        -->
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <!--<add assembly="CrystalDecisions.CrystalReports.Engine, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.ReportSource, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Shared, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
                <add assembly="stdole, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>-->
        <add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="CrystalDecisions.CrystalReports.Engine, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.ReportSource, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Shared, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <!--<add assembly="CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>-->
        <add assembly="System.DirectoryServices, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <!--<add assembly="Microsoft.Office.Interop.Excel, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71E9BCE111E9429C"/>-->
      </assemblies>
      <buildProviders>
        <add extension=".rpt" type="CrystalDecisions.Web.Compilation.RptBuildProvider, CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
      </buildProviders>
    </compilation>
    <!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
    <authentication mode="Windows"/>
    <!--
            The <customErrors> section enables configuration 
            of what to do if/when an unhandled error occurs 
            during the execution of a request. Specifically, 
            it enables developers to configure html error pages 
            to be displayed in place of a error stack trace.

        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm" />
            <error statusCode="404" redirect="FileNotFound.htm" />
        </customErrors>
        -->
    <httpHandlers>
      <!--<add verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>-->
      <add verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
    </httpHandlers>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID" maintainScrollPositionOnPostBack="true" viewStateEncryptionMode="Always"/>
  </system.web>
  <!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <handlers>
      <add name="CrystalImageHandler.aspx_GET" verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.4000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" preCondition="integratedMode"/>
    </handlers>
  </system.webServer>
  <businessObjects>
    <crystalReports>
      <rptBuildProvider>
        <add embedRptInResource="true"/>
      </rptBuildProvider>
    </crystalReports>
  </businessObjects>
</configuration>